diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index cfe577d..2c3a0d6 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -2760,12 +2760,32 @@ P <optional> <replaceable>years</>-<replaceable>months</>-<replaceable>days</> <
    <para>
     <productname>PostgreSQL</productname> provides the
     standard <acronym>SQL</acronym> type <type>boolean</type>.
-    <type>boolean</type> can have one of only two states:
+    The <type>boolean</type> type can have one of only two states:
     <quote>true</quote> or <quote>false</quote>.  A third state,
     <quote>unknown</quote>, is represented by the
     <acronym>SQL</acronym> null value.
    </para>
 
+   <table id="datatype-boolean-table">
+    <title>Boolean Data Type</title>
+    <tgroup cols="3">
+     <thead>
+      <row>
+       <entry>Name</entry>
+       <entry>Storage Size</entry>
+       <entry>Description</entry>
+      </row>
+     </thead>
+     <tbody>
+      <row>
+       <entry><type>boolean</type></entry>
+       <entry>1 byte</entry>
+       <entry>state of true of false</entry>
+      </row>
+     </tbody>
+    </tgroup>
+   </table>
+
    <para>
     Valid literal values for the <quote>true</quote> state are:
     <simplelist>
@@ -2794,6 +2814,12 @@ P <optional> <replaceable>years</>-<replaceable>months</>-<replaceable>days</> <
     (<acronym>SQL</acronym>-compliant) usage.
    </para>
 
+   <para>
+    <xref linkend="datatype-boolean-example"> shows that
+    <type>boolean</type> values are output using the letters
+    <literal>t</literal> and <literal>f</literal>.
+   </para>
+
    <example id="datatype-boolean-example">
     <title>Using the <type>boolean</type> type</title>
 
@@ -2813,16 +2839,6 @@ SELECT * FROM test1 WHERE a;
  t | sic est
 </programlisting>
    </example>
-
-   <para>
-    <xref linkend="datatype-boolean-example"> shows that
-    <type>boolean</type> values are output using the letters
-    <literal>t</literal> and <literal>f</literal>.
-   </para>
-
-   <para>
-    <type>boolean</type> uses 1 byte of storage.
-   </para>
   </sect1>
 
   <sect1 id="datatype-enum">
